with GNATCOM.Dispinterface;

package MSHTML.IHTMLInputButtonElement_Interface is

   type IHTMLInputButtonElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLInputButtonElement_Type);

   function Pointer (This : IHTMLInputButtonElement_Type)
     return Pointer_To_IHTMLInputButtonElement;

   procedure Attach (This    : in out IHTMLInputButtonElement_Type;
                     Pointer : in     Pointer_To_IHTMLInputButtonElement);

   function Get_type
     (This : IHTMLInputButtonElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_value
     (This : IHTMLInputButtonElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_value
     (This : IHTMLInputButtonElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_name
     (This : IHTMLInputButtonElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_name
     (This : IHTMLInputButtonElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_status
     (This : IHTMLInputButtonElement_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_status
     (This : IHTMLInputButtonElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_disabled
     (This : IHTMLInputButtonElement_Type;
      p    : GNATCOM.Types.VARIANT_BOOL);

   function Get_disabled
     (This : IHTMLInputButtonElement_Type)
     return GNATCOM.Types.VARIANT_BOOL;

   function Get_form
     (This : IHTMLInputButtonElement_Type)
     return Pointer_To_IHTMLFormElement;

   function createTextRange
     (This   : IHTMLInputButtonElement_Type)
     return Pointer_To_IHTMLTxtRange;

end MSHTML.IHTMLInputButtonElement_Interface;

